post
https://sandbox.saner.secpod.com/AncorWebService/perform
Fetch audit logs in a date range, optionally filtered by organization, account, or user.
This method is used to fetch audit logs based on organization, accounts, users, startdate and enddate, tool, actions, and limit.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| organization | Organization identifier to filter audit logs | No | string |
| accounts | Account identifiers to filter audit logs | No | array |
| users | User identifiers to filter audit logs | No | array |
| startdate | Start date from which audit logs are fetched (format: yyyy-MM-dd in UTC) | Yes | string |
| enddate | End date till which audit logs are fetched (format: yyyy-MM-dd in UTC) | Yes | string |
| limit | Maximum number of audit log records to fetch | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.Account.getAuditLogs(
startdate="2026-01-01",
enddate="2026-02-01"
)
print(response)
client.close()Requires Python 3.9 or later.